Loading...
Searching...
No Matches
pcl::device::CUDATree Struct Reference

Struct that holds a single RDF tree in GPU. More...

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/internal.h>`

## Public Types

using | Node = pcl::gpu::people::trees::Node
using | Label = pcl::gpu::people::trees::Label

## Public Member Functions

| CUDATree (int treeHeight_, const std::vector< Node > &nodes, const std::vector< Label > &leaves)

## Public Attributes

int | treeHeight
int | numNodes
DeviceArray< Node > | nodes_device
DeviceArray< Label > | leaves_device

## Detailed Description

Struct that holds a single RDF tree in GPU.

Definition at line 116 of file internal.h.

## Member Typedef Documentation

## Label

using pcl::device::CUDATree::Label = pcl::gpu::people::trees::Label

Definition at line 119 of file internal.h.

## Node

using pcl::device::CUDATree::Node = pcl::gpu::people::trees::Node

Definition at line 118 of file internal.h.

## Constructor & Destructor Documentation

## CUDATree()

pcl::device::CUDATree::CUDATree | ( | int | treeHeight_,
|  | const std::vector< Node > & | nodes,
|  | const std::vector< Label > & | leaves
| ) |  |

## Member Data Documentation

## leaves_device

DeviceArray<Label> pcl::device::CUDATree::leaves_device

Definition at line 125 of file internal.h.

## nodes_device

DeviceArray<Node> pcl::device::CUDATree::nodes_device

Definition at line 124 of file internal.h.

## numNodes

int pcl::device::CUDATree::numNodes

Definition at line 122 of file internal.h.

## treeHeight

int pcl::device::CUDATree::treeHeight

Definition at line 121 of file internal.h.

The documentation for this struct was generated from the following file:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/internal.h